---
title: "Deprecated Endpoints"
slug: "deprecatedendpoints"
updated: 2026-07-31T14:48:34Z
published: 2026-07-31T14:48:34Z
canonical: "developer.rocket.chat/deprecatedendpoints"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Deprecated Endpoints

The following methods and endpoints of the REST API and Realtime API have been deprecated. According to the version listed, they have either been replaced, removed, or are scheduled for removal.

## [](/apidocs/deprecatedendpoints#rest-api)REST API

| Endpoint | Release deprecated | Release removed | Description |
| --- | --- | --- | --- |
| `stdout.queue` | 8.0.0 | 8.0.0 | The endpoint will be removed. |
| `/omnichannel/agents/available` | 8.0.0 | 8.0.0 | The endpoint will be removed. |
| `voip-freeswitch.extension.assign` | 7.12.0 | 8.0.0 | Extensions can now be assigned in `/users.update` endpoint. |
| `/apps (GET)` | 8.0.0 | 8.0.0 | The `GET /apps` endpoint has been removed. |
| `banners.getNew` | 6.10.0 | 8.0.0 | Use the `/banners/:id` or `/banners` endpoint. |
| `rooms.upload/:rid` | 6.10.0 | 8.0.0 | Replaced by the `/rooms.media/:rid` endpoint. |
| `insertOrUpdateUser` | 6.7.0 | 8.0.0 | Users’ upsert is no longer allowed. Replaced by `/users.create` endpoint. |
| `channels.images` | 6.8.0 | 7.0.0 | The endpoint is replaced. `rooms.images` |
| `pw.getPolicyReset` | 6.3.0 | 7.0.0 | The endpoint is replaced `pw.getPolicy` |
| `/livechat/inquiries.queued` | 5.4.1 | 7.0.0 | The endpoint is replaced by `/livechat/inquiries.queuedForUser` |
| `/livechat/room.transfer` | 5.1.0 | 7.0.0 | The endpoint is replaced by `/livechat/room.forward` |
| `/licenses.get` | 6.5.0 | 7.0.0 | The endpoint is replaced by `/licenses.info` |
| `/licenses.isEnterprise` | 6.5.0 | 7.0.0 | The endpoint is replaced by `/licenses.info` |
| `/livechat/room.visitor` | 5.2.0 | 7.0.0 | The endpoint has be removed. |
| `/livechat/office-hours` |  | 5.0.0 |  |
| `/v1/info` | 1.0.0 | 1.12.0 |  |
| `/emoji.custom` | 1.0.0 | 1.12.0 |  |
| `/permissions.list` | 0.73.0 | 1.11.0 |  |
| `/permissions` | 0.66.0 | 0.69.0 |  |
| `/channels.cleanHistory` | 0.64.0 | 0.67.0 |  |
| `/user.roles` | 0.63.0 | 0.66.0 |  |

### [](/apidocs/deprecatedendpoints#renamed-endpoints)Renamed endpoints

The following endpoints have been replaced:

| Endpoint | Renamed endpoint | Release |
| --- | --- | --- |
| `/livechat/business-hours.list` | `/livechat/business-hours` | 5.0.0 |
| `/livechat/departments.available-by-unit/:unitId` | `/livechat/units/:unitId/departments/available` | 5.0.0 |
| `/livechat/departments.by-unit/:unitId` | `/livechat/units/:unitId/departments` | 5.0.0 |
| `/livechat/monitors.list` | `/livechat/monitors` | 5.0.0 |
| `/livechat/units.getOne` | `/livechat/monitors/:username` | 5.0.0 |
| `/livechat/priorities.list` | `/livechat/priorities` | 5.0.0 |
| `/livechat/priority.getOne` | `/livechat/priorities/:priorityId` | 5.0.0 |
| `/livechat/tags.list` | `/livechat/tags` | 5.0.0 |
| `/livechat/tags.getOne` | `/livechat/tags/:tagId` | 5.0.0 |
| `/livechat/units.list` | `/livechat/units` | 5.0.0 |
| `/livechat/units.getOne` | `/livechat/units/:unitId` | 5.0.0 |
| `/livechat/unitMonitors.list` | `/livechat/units/:unitId/monitors` | 5.0.0 |

## [](/apidocs/deprecatedendpoints#realtime-api)Realtime API

The following methods are no longer supported:

| Method | Release deprecated | Release removal |
| --- | --- | --- |
| `livechat:setUpConnection` | 7.11.0 | 8.0.0 |
| `livechat:getUnitsFromUser` | 7.4.0 | 8.0.0 |
| `livechat:getDepartmentForwardRestrictions` | 5.2.0 | 8.0.0 |
| `livechat:getFirstRoomMessage` | 5.2.0 | 8.0.0 |
| `reportMessage` | 6.2.0 | 7.0.0 - Use the `chat.reportMessage` endpoint instead. |
| `cleanChannelHistory` | 0.64.0 | 0.67.0 |
| `canAccessRoom` | 4.1.1 | 5.0.0 |

### [](/apidocs/deprecatedendpoints#replaced-methods)Replaced methods

The following methods are deprecated; use the corresponding API endpoints instead:

| Name | Deprecated since | Removal version | Description |
| --- | --- | --- | --- |
| `verifyEmail` / `afterVerifyEmail` | 8.7.0 | 9.0.0 | Replaced by the [/users.verifyEmail](https://developer.rocket.chat/apidocs/verify-user-email) endpoint. |
| `cloud:connectWorkspace` | 8.7.0 | 9.0.0 | Replaced by the [/cloud.connectWorkspace](https://developer.rocket.chat/apidocs/connect-workspace-to-cloud) endpoint. |
| `authorization:addPermissionToRole` | 8.7.0 | 9.0.0 | Replaced by the [/permissions.addRole](https://developer.rocket.chat/apidocs/add-permission-to-a-role) endpoint. |
| `authorization:removeRoleFromPermission` | 8.7.0 | 9.0.0 | Replaced by the [/permissions.removeRole](https://developer.rocket.chat/apidocs/remove-role-from-permission) endpoint. |
| `clearIntegrationHistory` | 8.7.0 | 9.0.0 | Replaced by the [/integrations.clearHistory](http://developer.rocket.chat/apidocs/clear-integration-history) endpoint. |
| `replayOutgoingIntegration` | 8.7.0 | 9.0.0 | Replaced by the [/integrations.replayOutgoing](https://developer.rocket.chat/apidocs/replay-outgoing-integration) endpoint. |
| `license:isEnterprise` | 8.6.0 | 9.0.0 | Replaced by the [/licenses.info](https://developer.rocket.chat/apidocs/get-licenses-1) endpoint. |
| `license:getModules` | 8.6.0 | 9.0.0 | Replaced by the [/licenses.info](https://developer.rocket.chat/apidocs/get-licenses-1) endpoint. |
| `banner/dismiss` | 8.6.0 | 9.0.0 | Replaced by the [/banners.dismiss](https://developer.rocket.chat/apidocs/dismiss-a-banner) endpoint. |
| `slashCommand` | 8.6.0 | 9.0.0 | Replaced by the [/commands.run](https://developer.rocket.chat/apidocs/execute-a-slash-command) endpoint. |
| `e2e.resetOwnE2EKey` | 8.6.0 | 9.0.0 | Replaced by the [/users.resetE2EKey](https://developer.rocket.chat/apidocs/reset-users-e2e-key) endpoint. |
| `deleteCustomSound` | 8.6.0 | 9.0.0 | Replaced by the [/custom-sounds.delete](https://developer.rocket.chat/apidocs/delete-custom-sound) endpoint. |
| `blockUser` / `unblockUser` | 8.6.0 | 9.0.0 | Replaced by the [/im.blockUser](https://developer.rocket.chat/apidocs/block-user-in-dm) endpoint. |
| `saveSettings` | 8.6.0 | 9.0.0 | Replaced by the [POST /settings](https://developer.rocket.chat/apidocs/update-settings-in-bulk) endpoint. |
| `e2e.requestSubscriptionKeys` | 8.6.0 | 9.0.0 | Replaced by the [/e2e.requestSubscriptionKeys](https://developer.rocket.chat/apidocs/request-subscription-keys) endpoint. |
| `autoTranslate.saveSettings` | 8.6.0 | 9.0.0 | Replaced by the [/autotranslate.saveSettings](https://developer.rocket.chat/apidocs/save-auto-translate-settings) endpoint |
| `cloud:checkRegisterStatus` | 8.6.0 | 9.0.0 | Replaced by the [/cloud.registrationStatus](https://developer.rocket.chat/apidocs/get-workspace-registration-status) endpoint. |
| `createDiscussion` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.createDiscussion](https://developer.rocket.chat/apidocs/create-discussion) endpoint. |
| `e2e.fetchMyKeys` | 8.6.0 | 9.0.0 | Replaced by the [/e2e.fetchMyKeys](https://developer.rocket.chat/apidocs/get-e2e-keys) endpoint. |
| `e2e.setUserPublicAndPrivateKeys` | 8.6.0 | 9.0.0 | Replaced by the [/e2e.setUserPublicAndPrivateKeys](https://developer.rocket.chat/apidocs/set-user-key) endpoint. |
| `deleteEmojiCustom` | 8.6.0 | 9.0.0 | Replaced by the [/emoji-custom.delete](https://developer.rocket.chat/apidocs/delete-a-custom-emoji) endpoint. |
| `insertOrUpdateEmoji` | 8.6.0 | 9.0.0 | Replaced by the [/emoji-custom.create](https://developer.rocket.chat/apidocs/create-an-emoji) and [/emoji-custom.update](https://developer.rocket.chat/apidocs/update-a-custom-emoji) endpoints. |
| `uploadEmojiCustom` | 8.6.0 | 9.0.0 | Replaced by the [/emoji-custom.create](https://developer.rocket.chat/apidocs/create-an-emoji) endpoint. |
| `downloadPublicImportFile` | 8.6.0 | 9.0.0 | Replaced by the [/](https://developer.rocket.chat/apidocs/download-public-import-file)[downloadPublicImportFile](https://developer.rocket.chat/apidocs/download-public-import-file) endpoint. |
| `getImportFileData` | 8.6.0 | 9.0.0 | Replaced by the [/getImportFileData](https://developer.rocket.chat/apidocs/get-import-file-data) endpoint. |
| `getImportProgress` | 8.6.0 | 9.0.0 | Replaced by the [/getImportProgress](https://developer.rocket.chat/apidocs/get-import-progress) endpoint. |
| `getLatestImportOperations` | 8.6.0 | 9.0.0 | Replaced by the [/getLatestImportOperations](https://developer.rocket.chat/apidocs/get-latest-import-operations) endpoint. |
| `startImport` | 8.6.0 | 9.0.0 | Replaced by the [/startImport](https://developer.rocket.chat/apidocs/start-import) endpoint. |
| `uploadImportFile` | 8.6.0 | 9.0.0 | Replaced by the [/uploadImportFile](https://developer.rocket.chat/apidocs/upload-import-file)endpoint. |
| `addIncomingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.create](https://developer.rocket.chat/apidocs/create-integration) endpoint. |
| `deleteIncomingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.remove](https://developer.rocket.chat/apidocs/remove-integration-1) endpoint. |
| `updateIncomingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.update](https://developer.rocket.chat/apidocs/update-integration) endpoint. |
| `addOutgoingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.create](https://developer.rocket.chat/apidocs/create-integration) endpoint. |
| `deleteOutgoingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.remove](https://developer.rocket.chat/apidocs/remove-integration-1) endpoint. |
| `updateOutgoingIntegration` | 8.6.0 | 9.0.0 | Replaced by the [/integrations.update](https://developer.rocket.chat/apidocs/update-integration) endpoint. |
| `addUsersToRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.invite](https://developer.rocket.chat/apidocs/add-users-to-channel) and [/groups.invite](https://developer.rocket.chat/apidocs/invite-users-to-group) endpoints. |
| `archiveRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.archive](https://developer.rocket.chat/apidocs/archive-channel) endpoint. |
| `createChannel` | 8.6.0 | 9.0.0 | Replaced by the [/channels.create](https://developer.rocket.chat/apidocs/create-channel) endpoint. |
| `deleteUserOwnAccount` | 8.6.0 | 9.0.0 | Replaced by the [/users.deleteOwnAccount](https://developer.rocket.chat/apidocs/delete-own-account) endpoint. |
| `getChannelHistory` | 8.6.0 | 9.0.0 | Replaced by the [/channels.history](https://developer.rocket.chat/apidocs/get-channel-history) endpoint. |
| `getUsernameSuggestion` | 8.6.0 | 9.0.0 | Replaced by the [/users.getUsernameSuggestion](https://developer.rocket.chat/apidocs/get-username-suggestion) endpoint. |
| `saveSetting` | 8.6.0 | 9.0.0 | Replaced by the [/settings/:_id](https://developer.rocket.chat/apidocs/update-setting) endpoint. |
| `setEmail` | 8.6.0 | 9.0.0 | Replaced by the [/users.updateOwnBasicInfo](https://developer.rocket.chat/apidocs/update-own-basic-information) endpoint. |
| `setRealName` | 8.6.0 | 9.0.0 | Replaced by the [/users.updateOwnBasicInfo](https://developer.rocket.chat/apidocs/update-own-basic-information) endpoint. |
| `unarchiveRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.unarchive](https://developer.rocket.chat/apidocs/unarchive-a-channel) endpoint. |
| `sendMessageLivechat` | 8.6.0 | 9.0.0 | Replaced by the [/livechat/message](https://developer.rocket.chat/apidocs/send-new-livechat-message) endpoint. |
| `getUserMentionsByChannel` | 8.6.0 | 9.0.0 | Replaced by the [/channels.getAllUserMentionsByChannel](https://developer.rocket.chat/apidocs/get-all-user-mentions-in-a-channel) endpoint. |
| `unreadMessages` | 8.6.0 | 9.0.0 | Replaced by the [/subscriptions.unread](https://developer.rocket.chat/apidocs/mark-channel-as-unread) endpoint. |
| `pinMessage` | 8.6.0 | 9.0.0 | Replaced by the [/chat.pinMessage](https://developer.rocket.chat/apidocs/pin-message) endpoint |
| `unpinMessage` | 8.6.0 | 9.0.0 | Replaced by the [/chat.unPinMessage](https://developer.rocket.chat/apidocs/unpin-a-message) endpoint |
| `deleteOAuthApp` | 8.6.0 | 9.0.0 | Replaced by the [/oauth-apps.delete](https://developer.rocket.chat/apidocs/delete-oauth-app) endpoint. |
| `updateOAuthApp` | 8.6.0 | 9.0.0 | Replaced by the [/oauth-apps.update](https://developer.rocket.chat/apidocs/update-oauth-app) endpoint. |
| `saveNotificationSettings` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.saveNotification](https://developer.rocket.chat/apidocs/set-room-notifications) endpoint. |
| `raix:push-update` | 8.6.0 | 9.0.0 | Replaced by the [/push.token](https://developer.rocket.chat/apidocs/create-push-token) endpoint. |
| `getStatistics` | 8.6.0 | 9.0.0 | Replaced by the [/statistics](https://developer.rocket.chat/apidocs/get-last-statistics) endpoint. |
| `followMessage` | 8.6.0 | 9.0.0 | Replaced by the [/chat.followMessage](https://developer.rocket.chat/apidocs/follow-message) endpoint. |
| `getThreadsList` | 8.6.0 | 9.0.0 | Replaced by the [/chat.getThreadsList](https://developer.rocket.chat/apidocs/list-threads) endpoint. |
| `unfollowMessage` | 8.6.0 | 9.0.0 | /v1Replaced by the [/chat.unfollowMessage](https://developer.rocket.chat/apidocs/unfollow-message) endpoint |
| `deleteCustomUserStatus` | 8.6.0 | 9.0.0 | Replaced by the [/custom-user-status.delete](https://developer.rocket.chat/apidocs/delete-custom-user-status) endpoint. |
| `getUserStatusText` | 8.6.0 | 9.0.0 | Replaced by the [/users.presence](https://developer.rocket.chat/apidocs/get-users-presence) endpoint. |
| `insertOrUpdateUserStatus` | 8.6.0 | 9.0.0 | Replaced by the [/custom-user-status.create](https://developer.rocket.chat/apidocs/create-custom-status) and [/custom-user-status.update](https://developer.rocket.chat/apidocs/update-custom-status) endpoints. |
| `license:hasLicense` | 8.6.0 | 9.0.0 | Replaced by the [/licenses.info](https://developer.rocket.chat/apidocs/get-licenses-1) endpoint. |
| `license:getTags` | 8.6.0 | 9.0.0 | Replaced by the [/licenses.info](https://developer.rocket.chat/apidocs/get-licenses-1) endpoint. |
| `addAllUserToRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.addAll](https://developer.rocket.chat/apidocs/add-all-users-to-a-channel) and [/groups.addAll](https://developer.rocket.chat/apidocs/add-all-users-to-group) endpoints. |
| `addRoomLeader` | 8.6.0 | 9.0.0 | Replaced by the [/channels.addLeader](https://developer.rocket.chat/apidocs/add-channel-leader) and [/groups.addLeader](https://developer.rocket.chat/apidocs/add-group-leader) endpoints. |
| `addRoomModerator` | 8.6.0 | 9.0.0 | Replaced by the [/channels.addModerator](https://developer.rocket.chat/apidocs/add-channel-moderator) and [/groups.addModerator](https://developer.rocket.chat/apidocs/add-group-moderator) endpoints. |
| `addRoomOwner` | 8.6.0 | 9.0.0 | Replaced by the [/channels.addOwner](https://developer.rocket.chat/apidocs/add-channel-owner) and [/groups.addOwner](https://developer.rocket.chat/apidocs/add-group-owner) endpoints. |
| `browseChannels` | 8.6.0 | 9.0.0 | Replaced by the [/directory](https://developer.rocket.chat/apidocs/directory-1) endpoint. |
| `channelsList` | 8.6.0 | 9.0.0 | Replaced by the [/channels.list](https://developer.rocket.chat/apidocs/get-channel-list) endpoint. |
| `deleteUser` | 8.6.0 | 9.0.0 | Replaced by the [/users.delete](https://developer.rocket.chat/apidocs/delete-user) endpoint. |
| `getRoomIdByNameOrId` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.info](https://developer.rocket.chat/apidocs/get-room-information) endpoint. |
| `getRoomNameById` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.info](https://developer.rocket.chat/apidocs/get-room-information) endpoint. |
| `getTotalChannels` | 8.6.0 | 9.0.0 | Replaced by the [/channels.list](https://developer.rocket.chat/apidocs/get-channel-list) endpoint. |
| `hideRoom` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.hide](https://developer.rocket.chat/apidocs/hide-room) endpoint. |
| `ignoreUser` | 8.6.0 | 9.0.0 | Replaced by the [/chat.ignoreUser](https://developer.rocket.chat/apidocs/ignore-user) endpoint. |
| `messageSearch` | 8.6.0 | 9.0.0 | Replaced by the [/chat.search](https://developer.rocket.chat/apidocs/search-message) endpoint |
| `removeRoomLeader` | 8.6.0 | 9.0.0 | Replaced by the [/channels.removeLeader](https://developer.rocket.chat/apidocs/remove-channel-leader) and [/groups.removeLeader](https://developer.rocket.chat/apidocs/remove-group-leader) endpoints. |
| `removeRoomModerator` | 8.6.0 | 9.0.0 | Replaced by the [/channels.removeModerator](https://developer.rocket.chat/apidocs/remove-channel-moderator) and [/groups.removeModerator](https://developer.rocket.chat/apidocs/remove-group-moderator) endpoints. |
| `removeRoomOwner` | 8.6.0 | 9.0.0 | Replaced by the [/channels.removeOwner](https://developer.rocket.chat/apidocs/remove-channel-owner) and [/groups.removeOwner](https://developer.rocket.chat/apidocs/remove-group-owner) endpoints. |
| `removeUserFromRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.kick](https://developer.rocket.chat/apidocs/remove-user-from-channel) and [/groups.kick](https://developer.rocket.chat/apidocs/remove-user-from-group) endpoints. |
| `resetAvatar` | 8.6.0 | 9.0.0 | Replaced by the [/users.resetAvatar](https://developer.rocket.chat/apidocs/reset-avatar) endpoint. |
| `saveUserPreferences` | 8.6.0 | 9.0.0 | Replaced by the [/users.setPreferences](https://developer.rocket.chat/apidocs/set-user-preferences) endpoint. |
| `toggleFavorite` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.favorite](https://developer.rocket.chat/apidocs/favoriteunfavourite-a-room) endpoint. |
| `UserPresence:setDefaultStatus` | 8.6.0 | 9.0.0 | Replaced by the [/users.setStatus](https://developer.rocket.chat/apidocs/set-user-status) endpoint. |
| `joinRoom` | 8.6.0 | 9.0.0 | Replaced by the [/rooms.join](https://developer.rocket.chat/apidocs/join-a-room) endpoint. |
| `deleteFileMessage` | 8.6.0 | 9.0.0 | Replaced by the [/chat.delete](https://developer.rocket.chat/apidocs/delete-chat-message) endpoint. |
| `userSetUtcOffset` | 8.6.0 | 9.0.0 | Replaced by the [/users.setPreferences](https://developer.rocket.chat/apidocs/set-user-preferences) endpoint. |
| `spotlight` | 8.6.0 | 9.0.0 | Replaced by the [/spotlight](https://developer.rocket.chat/apidocs/spotlight) endpoint. |
| `listCustomSounds` | 8.6.0 | 9.0.0 | Replaced by the [/custom-sounds.list](https://developer.rocket.chat/apidocs/list-custom-sounds) endpoint. |
| `leaveRoom` | 8.6.0 | 9.0.0 | Replaced by the [/channels.leave](https://developer.rocket.chat/apidocs/leave-channel), [/groups.leave](https://developer.rocket.chat/apidocs/leave-group-1), /im.leave endpoints. |
| `requestDataDownload` | 8.6.0 | 9.0.0 | Replaced by the [/users.requestDataDownload](https://developer.rocket.chat/apidocs/request-data-download) endpoint. |
| `livechat:saveBusinessHour` | 7.14.0 | 8.0.0 | Replaced by the `/livechat/business-hours.save` endpoint. |
| `livechat:addMonitor` | 7.14.0 | 8.0.0 | Replaced by `livechat/monitors.create` endpoint. |
| `livechat:removeBusinessHour` | 7.14.0 | 8.0.0 | Replaced by the `/livechat/business-hours.remove` endpoint. |
| `livechat:saveTag` | 7.14.0 | 8.0.0 | Replaced by the `/livechat/monitors.delete` endpoint. |
| `livechat:saveUnit` | 7.13.0 | 8.0.0 | Replaced by the `livechat/units` endpoint. |
| `saveCannedResponses` | 7.12.0 | 8.0.0 | Replaced by the `/canned-responses` endpoint. |
| `livechat:removeTag` | 7.12.0 | 8.0.0 | Replaced by the `livechat/tags.remove` endpoint. |
| `sendFileLivechatMessage` | 7.12.0 | 8.0.0 | Replaced by the `livechat/upload/:rid` endpoint. |
| `livechat:returnAsInquiry` | 7.12.0 | 8.0.0 | Replaced by the `livechat/inquiries.returnAsInquiry` endpoint. |
| `livechat:removeRoom` | 7.12.0 | 8.0.0 | Replaced by the `livechat/rooms.delete` endpoint. |
| `removeCannedResponse` | 7.12.0 | 8.0.0 | Replaced by the `/v1/canned-responses/:_id` endpoint. |
| `livechat:removeUnit` | 7.12.0 | 8.0.0 | Replaced by the `livechat/units/{id}` endpoint. |
| `setAdminStatus` | 7.11.0 | 8.0.0 | Use the `/roles.addUserToRole` or `/roles.removeUserFromRole` endpoint. |
| `livechat:takeInquiry` | 7.11.0 | 8.0.0 | Replaced by the `livechat/inquiries.take` endpoint. |
| `livechat:saveDepartment` | 7.11.0 | 8.0.0 | Replaced by the `livechat/department` endpoint. |
| `livechat:sendTranscript` | 7.11.0 | 8.0.0 | Replaced by the `livechat/transcript` endpoint. |
| `livechat:saveCustomField` | 7.11.0 | 8.0.0 | Replaced by the `livechat/custom-fields.save` endpoint. |
| `livechat:removeAllClosedRooms` | 7.11.0 | 8.0.0 | Replaced by the `livechat/rooms.removeAllClosedRooms` endpoint. |
| `livechat:removeRoom` | 7.11.0 | 8.0.0 | Replaced by the `livechat/inquiries.take` endpoint. |
| `livechat:getRoutingConfig` | 7.11.0 | 8.0.0 | Replaced by the `livechat/config/routing` endpoint. |
| `livechat:getAnalyticsChartData` | 7.11.0 | 8.0.0 | Replaced by the `livechat/analytics/dashboards/charts-data` endpoint. |
| `livechat:saveAgentInfo` | 7.11.0 | 8.0.0 | Replaced by the `livechat/agents.saveInfo` endpoint. |
| `livechat:removeCustomField` | 7.11.0 | 8.0.0 | Replaced by the `livechat/custom-fields.delete` endpoint. |
| `authorization:addUserToRole` | 7.10.0 | 8.0.0 | Replaced by the `/roles.addUserToRole` endpoint. |
| `authorization:deleteRole` | 7.10.0 | 8.0.0 | Replaced by the `/roles.delete` endpoint. |
| `authorization:removeUserFromRole` | 7.10.0 | 8.0.0 | Replaced by the `/roles.removeUserFromRole` endpoint. |
| `getRoomRoles` | 7.10.0 | 8.0.0 | Replaced by the `/rooms.roles` endpoint. |
| `getUserRoles` | 7.10.0 | 8.0.0 | Replaced by the `/roles.getUsersInPublicRoles` endpoint. |
| `saveCustomFields` | 7.10.0 | 8.0.0 | Replaced by the `/users.updateOwnBasicInfo` endpoint. |
| `setUsername` | 7.10.0 | 8.0.0 | Replaced by the `/users.updateOwnBasicInfo` endpoint. |
| `setReaction` | 7.10.0 | 8.0.0 | Replaced by the `/chat.react` endpoint. |
| `saveUserProfile` | 7.10.0 | 8.0.0 | Replaced by the `/users.updateOwnBasicInfo` endpoint. |
| `setUserPassword` | 7.10.0 | 8.0.0 | Replaced by the `/users.updateOwnBasicInfo` endpoint. |
| `muteUserInRoom` | 6.8.0 | 8.0.0 | Replaced by the `/rooms.muteUser` endpoint. |
| `unmuteUserInRoom` | 6.8.0 | 8.0.0 | Replaced by the `/rooms.unmuteUser` endpoint. |
| `inserOrUpdateUser` | 6.7.0 | 8.0.0 | Users upsert won't be allowed anymore (the method will be completely removed). |
| `createToken` | 6.8.0 | 8.0.0 | This method will be removed. |
| `livechat:resumeOnHold` | 6.3.0 | 8.0.0 | Replaced by the `/livechat/room.resumeOnHold` endpoint. |
| `livechat:closeRoom` | 6.0.0 | 8.0.0 | Replaced by the `/livechat/room.close` endpoint. |
| `getAvatarSuggestion` | 5.4.0 | 8.0.0 | Replaced by the `users.getAvatarSuggestion` endpoint. |
| `sendConfirmationEmail` | 5.4.0 | 8.0.0 | Replaced by `users.sendConfirmationEmail` endpoint. |
| `livechat:changeLivechatStatus` | 5.4.0 | 8.0.0 | Replaced by the `/livechat/agent.status` endpoint. |
| `livechat:getTagsList` | 5.2.0 | 8.0.0 | Replaced by the `/livechat/tags` endpoint. |
| `livechat:transfer` | 5.2.0 | 8.0.0 | Replaced by the `/livechat/room.forward` endpoint. |
| `livechat:removeTrigger` | 6.5.0 | 7.0.0 | Replaced by the `/livechat/triggers/:_id (DELETE)` endpoint. |
| `livechat:discardTranscript` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/transcript/:rid (DELETE)` endpoint. |
| `livechat:getAgentOverviewData` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/analytics/agent-overview` endpoint. |
| `livechat:getAnalyticsOverviewData` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/analytics/overview` endpoint. |
| `livechat:requestTranscript` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/transcript/:rid` endpoint. |
| `livechat:saveAppearance` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/appearance` endpoint. |
| `livechat:saveTrigger` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/triggers` endpoint. |
| `livechat:getAgentData` | 6.4.0 | 7.0.0 | Replaced by the `/livechat/agent.info/:rid/:token` endpoint. |
| `deleteMessage` | 6.2.0 | 7.0.0 | Replaced by `chat.delete` endpoint. |
| `livechat:saveIntegration` | 6.2.0 | 7.0.0 | Replaced by the `/omnichannel/integrations (POST)` endpoint. |
| `addOauthApp` | 6.2.0 | 7.0.0 | Replaced by the `oauth-apps.create` endpoint. |
| `listEmojiCustom` | 5.4.3 | 7.0.0 | Replaced by `emoji-custom.list` endpoint. |
| `refreshClients` | 5.4.0 | 7.0.0 | This is now triggered by `assets.setAsset` and `assets.unsetAsset`. |
| `eraseRoom` | 5.4.0 | 7.0.0 | Replaced by `rooms.delete` endpoint. |
| `checkUsernameAvailability` | 5.4.0 | 7.0.0 | Replaced by `users.checkUsernameAvailability` endpoint. |
| `Mailer:unsubscribe` | 5.4.0 | 7.0.0 | Replaced by the `mailer.unsubscribe` endpoint. |
| `Mailer.sendMail` | 5.4.0 | 7.0.0 | Replaced by the `mailer` endpoint. |
| `livechat:webhookTest` | 5.4.0 | 7.0.0 | Replaced by the `/livechat/webhook.test` endpoint. |
| `livechat:saveInfo` | 5.3.0 | 7.0.0 | Replaced by the `/livechat/room/save.info` endpoint. |
| `livechat:addAgent` | 5.2.0 | 7.0.0 | Replaced by the `livechat/users/agent (POST)` endpoint . |
| `livechat:addManager` | 5.2.0 | 7.0.0 | Replaced by `livechat/users/manager (POST)` endpoint. |
| `livechat:getCustomFields` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/custom-fields` endpoint. |
| `livechat:getNextAgent` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/agent.next/:token` endpoint. |
| `livechat:loadHistory` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/messages.history/:rid` endpoint. |
| `livechat:loginByToken` | 5.2.0 | 7.0.0 | Replaced by th `/livechat/visitor/:token` endpoint. |
| `livechat:pageVisited` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/page.visited` endpoint. |
| `livechat:registerGuest` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/visitor` endpoint. |
| `livechat:removeAgent` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/users/agent/:_id` endpoint. |
| `livechat:removeDepartment` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/department/:_id` endpoint. |
| `livechat:removeManager` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/users/manager/:_id` endpoint. |
| `livechat:saveDepartmentAgents` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/department/:_id/agents` endpoint. |
| `livechat:saveSurveyFeedback` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/room.survey` endpoint. |
| `livechat:searchAgent` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/users/agent/:_id` endpoint. |
| `livechat:sendOfflineMessage` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/offline.message` endpoint. |
| `livechat:setCustomField` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/visitor` endpoint. |
| `livechat:setDepartmentForVisitor` | 5.2.0 | 7.0.0 | Replaced by the `/livechat/visitor` endpoint. |
| `roomNameExists` | 5.1.0 | 7.0.0 | Replaced by `rooms.nameExists` endpoint. |
| `removeWebdavAccount` | 5.1.0 | 7.0.0 | Replaced by `webdav.removeWebdavAccount` endpoint. |
| `getPasswordPolicy` | 5.1.0 | 7.0.0 | Replaced by the `pw.getPolicy` endpoint. |
